## swauth 1.0.2+git20111128

=== debian/changelog ===
swauth (1.0.2+git20111128-0ubuntu1) precise; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Nov 2011 13:38:37 -0500

## swauth 1.0.4

=== debian/changelog ===
swauth (1.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 18 Jun 2012 15:21:44 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_clean:
	dh_clean
	rm -rf doc/build/*

UPSTREAM_GIT=git://github.com/gholt/swauth.git
DEBIAN_NAME=swauth
DEBIAN_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	git clone $(UPSTREAM_GIT) $(DEBIAN_NAME).src
	cd $(DEBIAN_NAME).src ; \
		git archive master --format=tar.gz \
			--output=$(DEBIAN_NAME)_$(DEBIAN_VERSION).orig.tar.gz \
			--prefix=$(DEBIAN_NAME)-$(DEBIAN_VERSION)/
	rm -rf $(DEBIAN_NAME).src

## swauth 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.17.4

=== debian/changelog ===
swauth (1.1.0-2) unstable; urgency=medium

  * Vcs urls fixed.
  * Added python-swiftclient dependency.
  * Added dh-python build dependency.
  * Added Debian tests.
  * Standards-Version is 3.9.7 now (no change).

 -- Ondřej Nový <novy@ondrej.org>  Fri, 26 Feb 2016 23:22:54 +0100

swauth (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #808352)

 -- Ondřej Nový <novy@ondrej.org>  Thu, 17 Dec 2015 21:31:00 +0100

=== debian/control ===
Source: swauth
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ondřej Nový <novy@ondrej.org>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-eventlet (>= 0.17.4),
                     python-mock,
                     python-nose,
                     swift-proxy (>= 2.2.0),
                     python-swiftclient,
Standards-Version: 3.9.7
Homepage: https://github.com/openstack/swauth
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swauth.git
Vcs-Git: https://anonscm.debian.org/git/openstack/swauth.git

Package: swauth
Architecture: all
Depends: python-eventlet (>= 0.17.4),
         swift-proxy (>= 2.2.0),
         python-swiftclient,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: alternative authentication system for Swift
 Swauth is an auth service for Swift as WSGI Middleware that uses Swift itself
 as a backing store. It's alternative to Keystone.
 .
 This package provides the Python libraries that actually implement everything.

Package: swauth-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: alternative authentication system for Swift - documentation
 Swauth is an auth service for Swift as WSGI Middleware that uses Swift itself
 as a backing store. It's alternative to Keystone.
 .
 This package provides the Sphinx generated documentation for Swauth.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf cover

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. nosetests -v test/unit --exe
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/swauth-doc/usr/share/doc/swauth-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	rm debian/swauth-doc/usr/share/doc/swauth-doc/html/_sources/license.txt
endif

=== debian/tests/control ===
Tests: help
Depends: swauth

## swauth 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -2,4 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-eventlet>=0.17.4
+eventlet!=0.18.3,>=0.18.2 # MIT
+python-swiftclient>=2.2.0 # Apache-2.0
+six>=1.9.0 # MIT

=== debian/changelog ===
swauth (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Rearranged (build) depends for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Thu, 22 Sep 2016 15:59:07 +0200

swauth (1.1.0-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * Added Python module import Debian test
  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools
  * Use dh_installdocs -A for installing AUTHORS file
  * d/{control,copyright}: Use my @debian.org email address

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jun 2016 23:39:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,29 @@
 Section: net
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Ondřej Nový <novy@ondrej.org>,
+Uploaders: Ondřej Nový <onovy@debian.org>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 48~),
                python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-eventlet (>= 0.17.4),
+Build-Depends-Indep: python-eventlet (>= 0.18.4),
                      python-mock,
                      python-nose,
                      swift-proxy (>= 2.2.0),
                      python-swiftclient,
-Standards-Version: 3.9.7
+                     python-six (>= 1.9.0),
+Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/swauth
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swauth.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/swauth.git
 
 Package: swauth
 Architecture: all
-Depends: python-eventlet (>= 0.17.4),
+Depends: python-eventlet (>= 0.18.4),
          swift-proxy (>= 2.2.0),
          python-swiftclient,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
@@ -22,3 +20,8 @@
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	rm debian/swauth-doc/usr/share/doc/swauth-doc/html/_sources/license.txt
 endif
+
+override_dh_installdocs:
+	dh_installdocs
+
+	dh_installdocs -A AUTHORS

## swauth 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
python-swiftclient>=3.2.0 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
swauth (1.3.0-2) unstable; urgency=medium

  * d/rules: Use dh_missing --fail-missing
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/copyright: Bump my copyright year
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Change Maintainer from @lists.alioth.debian.org to
    @tracker.debian.org
  * Bump standards version to 4.2.1 (no changes)
  * Bump debhelper compat level to 11
  * Use Python 3 version of Sphinx for building docs
  * Add upstream metadata
  * Add overrides for insane long lines of webadmin

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 19:40:32 +0200

swauth (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/p/CVE-2017-16613: Remove, applied upstream
  * Fix B-D/D for new upstream release
  * Add breaks swift-plugin-s3 older than 1.12
  * Standards-Version is 4.1.2 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Sat, 09 Dec 2017 17:46:39 +0100

swauth (1.2.0-4) unstable; urgency=high

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * Hash token before storing it in Swift
    (CVE-2017-16613, Closes: #882314)

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Nov 2017 12:24:54 +0100

swauth (1.2.0-3) unstable; urgency=medium

  * Fix FTBFS with new Sphinx (Closes: #868598)
  * d/copyright: Bump copyright years
  * Suggest doc package
  * Standards-Version is 4.0.0.4 now

 -- Ondřej Nový <onovy@debian.org>  Mon, 17 Jul 2017 10:29:35 +0200

swauth (1.2.0-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper version to 10
  * Bumped required version of python-pbr to 1.8

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Nov 2016 16:45:15 +0100

=== debian/control ===
Source: swauth
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11.1.4~),
 dh-python,
 openstack-pkg-tools (>= 48~),
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-bandit,
 python-eventlet (>= 0.18.4),
 python-mock (>= 2.0.0),
 python-nose (>= 1.3.7),
 python-six (>= 1.10.0),
 python-swiftclient (>= 3.2.0),
 swift-proxy (>= 2.14.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/swauth
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swauth
Vcs-Git: https://salsa.debian.org/openstack-team/services/swauth.git

Package: swauth
Architecture: all
Breaks:
 swift-plugin-s3 (<< 1.12),
Depends:
 python-eventlet (>= 0.18.4),
 python-swiftclient (>= 3.2.0),
 swift-proxy (>= 2.14.0),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Suggests:
 swauth-doc,
Description: alternative authentication system for Swift
 Swauth is an auth service for Swift as WSGI Middleware that uses Swift itself
 as a backing store. It's alternative to Keystone.
 .
 This package provides the Python libraries that actually implement everything.

Package: swauth-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: alternative authentication system for Swift - documentation
 Swauth is an auth service for Swift as WSGI Middleware that uses Swift itself
 as a backing store. It's alternative to Keystone.
 .
 This package provides the Sphinx generated documentation for Swauth.

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,17 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source debian/swauth-doc/usr/share/doc/swauth-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/swauth-doc/usr/share/doc/swauth-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
-	rm debian/swauth-doc/usr/share/doc/swauth-doc/html/_sources/license.txt
+	rm -f \
+		debian/swauth-doc/usr/share/doc/swauth-doc/html/_sources/license.txt \
+		debian/swauth-doc/usr/share/doc/swauth-doc/html/_sources/license.rst.txt
 endif
 
 override_dh_installdocs:
 	dh_installdocs
 
 	dh_installdocs -A AUTHORS
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/tests/control ===
Tests: help
Depends: swauth

Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import swauth; print swauth.__version__"
Depends: swauth

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/swauth/tags .*/(\d[\d\.]+)\.tar\.gz
